Subject: bug#66572: Windows menu entries double

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Oct 2023 14:54:27 +0300

> From: Johann Höchtl <[email-masked]>
> Date: Mon, 16 Oct 2023 08:37:21 +0200
> 
> I am using Emacs 29.1 downloaded from
> https://ftp.gnu.org/gnu/emacs/windows/emacs-29/emacs-29.1_2.zip on Windows 10.
> 
> Every now and then, without any discernible pattern, Emacs in GUI mode doubles its main menu
> entries. With main menu I mean
> 
> File / Edit / Options / Tools / Text / Help
> 
> becomes 
> File / Edit / Options / Tools / Text / Help / File / Edit / Options / Tools / Text / Help
> 
> This is also true when another mode is active which adds top level menu entries.

I only see this rarely when I drag the right edge of the frame with
the mouse, and drag it very fast.  As soon as I stop dragging, the
"ghost" menu items disappear.

Are you saying that they just appear for you, even if you do nothing
in Emacs?  What happens if you disable double-buffering?